#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_testData
{
	//参数编号
	std::string mID;
	//中文
	std::string mxxx;
	//英文
	std::string mttt;
};

class M_test
{
public:
private:
	static std::auto_ptr<M_test> msSingleton;
public:
	int GetCount();
	const M_testData* GetData(std::string ID);
	boost::unordered_map<std::string, M_testData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_test* GetSingleton();
private:
	boost::unordered_map<std::string, M_testData> mMapData;
};
